Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.explorer.types
Class GroupManagerRootItem

    java.lang.Object
      org.hyperic.hq.bizapp.explorer.types.GroupManagerRootItem

All Implemented Interfaces:
  ExplorerItem

    public class GroupManagerRootItem

extends java.lang.Object
implements ExplorerItem

Method Summary
`java.util.List` | `getChildren()` Get the item's direct children.
`java.lang.String` | `getCode()` A unique identifier for the item.
`java.lang.String` | `getLabel()` Get the display label for the item.
`ExplorerItem` | `getParent()`
`ExplorerItemType` | `getType()` Get the type that created this item.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getParent

    public ExplorerItem getParent()

  Specified by:
    `getParent` in interface `ExplorerItem`

### getCode

    public java.lang.String getCode()

  Description copied from interface: `ExplorerItem`
  A unique identifier for the item. This is used to find instances of the item when scanning a tree.

  Specified by:
    `getCode` in interface `ExplorerItem`

### getLabel

    public java.lang.String getLabel()

  Description copied from interface: `ExplorerItem`
  Get the display label for the item. This label should be localized.

  Specified by:
    `getLabel` in interface `ExplorerItem`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getType

    public ExplorerItemType getType()

  Description copied from interface: `ExplorerItem`
  Get the type that created this item.

  Specified by:
    `getType` in interface `ExplorerItem`

### getChildren

    public java.util.List getChildren()

  Description copied from interface: `ExplorerItem`
  Get the item's direct children. Note that if you are attempting to get _all_ of an item's children, you should use ExplorerManager.getAllChildren, as that will include any adopted items.

  Specified by:
    `getChildren` in interface `ExplorerItem`
  Returns:
    a list of `ExplorerItem`s

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.